Run of cme for rust-zmq

Try this locally (using the cme package):

debcheckout rust-zmq
cd rust-zmq
DEB_UPDATE_CHANGELOG=auto cme fix dpkg
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
Use of uninitialized value $_[0] in pattern match (m//) at /usr/share/perl5/Sort/Versions.pm line 17.
Warning in 'copyright Files:"*" License short_name': There are many versions of the MIT license. Please use Expat instead, when it matches. See L<Debian copyright format|https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/#license-specification> and L<wikipedia|https://en.wikipedia.org/wiki/MIT_License#Various_versions>for details.
Offending value: 'MIT or Apache-2.0'
Warning in 'copyright Files:"debian/*" License short_name': There are many versions of the MIT license. Please use Expat instead, when it matches. See L<Debian copyright format|https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/#license-specification> and L<wikipedia|https://en.wikipedia.org/wiki/MIT_License#Various_versions>for details.
Offending value: 'MIT or Apache-2.0'
In config class 'Dpkg::Copyright::FileLicense', (location: copyright Files:"*" License short_name) element 'short_name' (level normal) has a configuration model error:
	Eval of fix # need to test if target exists before moving element
my $lic = $self->grab('- - - License');
# no check to avoid unused license warning (which is not yet moved)
my $text = $self->grab_value(steps => '- full_license', check => 'no');
# likewise because check occurs before actual move
$lic->move($_,'Expat', check => 'no') unless $text or $lic->defined('Expat') ;
$_ = 'Expat';
 failed : Configuration item 'copyright License id' has a user error:
	move: unknow key MIT or Apache-2.0

Traceback (most recent call last):
  File "/code/janitor/worker.py", line 406, in make_changes
    command_result = debian_script_runner(
  File "/code/silver-platter/silver_platter/debian/apply.py", line 185, in script_runner
    raise ScriptFailed(script, p.returncode)
silver_platter.apply.ScriptFailed: ('cme fix dpkg', 2)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/code/janitor/worker.py", line 849, in process_package
    changer_result = build_target.make_changes(
  File "/code/janitor/worker.py", line 500, in make_changes
    return self.changer.make_changes(
  File "/code/janitor/worker.py", line 421, in make_changes
    raise WorkerFailure(
WorkerFailure: ('command-failed', 'Script cme fix dpkg failed to run with code 2')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/code/janitor/worker.py", line 1090, in run_worker
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/code/janitor/worker.py", line 913, in process_package
    ws.__exit__()
TypeError: __exit__() missing 3 required positional arguments: 'exc_type', 'exc_val', and 'exc_tb'

Full worker log